Freeciv-3.3: impr_item Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes
impr_item Class Reference

`#include <citydlg.h>`

Inheritance diagram for impr_item:

## Public Member Functions

| impr_item (QWidget *parent, const struct impr_type *building, struct city *pcity)
| ~impr_item ()
void | init_pix ()

## Protected Member Functions

void | wheelEvent (QWheelEvent *event)
void | mouseDoubleClickEvent (QMouseEvent *event)
void | leaveEvent (QEvent *event)
void | enterEvent (QEnterEvent *event)

## Private Attributes

const struct impr_type * | impr
struct canvas * | impr_pixmap
struct city * | dlgcity

## Detailed Description

Definition at line 221 of file citydlg.h.

## Constructor & Destructor Documentation

## ◆ impr_item()

impr_item::impr_item | ( | QWidget * | parent,
|  | const struct impr_type * | building,
|  | struct city * | pcity
| ) |  |

Improvement item constructor

Definition at line 366 of file citydlg.cpp.

## ◆ ~impr_item()

impr_item::~impr_item | ( |  | ) |

Improvement item destructor

Definition at line 395 of file citydlg.cpp.

## Member Function Documentation

## ◆ enterEvent()

void impr_item::enterEvent | ( | QEnterEvent * | event | ) |

protected

Mouse enters widget

Definition at line 415 of file citydlg.cpp.

## ◆ init_pix()

void impr_item::init_pix | ( |  | ) |

Sets pixmap to improvemnt item

Definition at line 405 of file citydlg.cpp.

Referenced by leaveEvent().

## ◆ leaveEvent()

void impr_item::leaveEvent | ( | QEvent * | event | ) |

protected

Mouse leaves widget

Definition at line 445 of file citydlg.cpp.

## ◆ mouseDoubleClickEvent()

void impr_item::mouseDoubleClickEvent | ( | QMouseEvent * | event | ) |

protected

Double click event on improvement item

Definition at line 606 of file citydlg.cpp.

## ◆ wheelEvent()

void impr_item::wheelEvent | ( | QWheelEvent * | event | ) |

protected

Mouse wheel event - send it to scrollbar

Definition at line 586 of file citydlg.cpp.

## Field Documentation

## ◆ dlgcity

struct city* impr_item::dlgcity

private

Definition at line 233 of file citydlg.h.

Referenced by impr_item(), and mouseDoubleClickEvent().

## ◆ impr

const struct impr_type* impr_item::impr

private

Definition at line 231 of file citydlg.h.

Referenced by impr_item(), leaveEvent(), and mouseDoubleClickEvent().

## ◆ impr_pixmap

struct canvas* impr_item::impr_pixmap

private

Definition at line 232 of file citydlg.h.

Referenced by impr_item(), init_pix(), leaveEvent(), and ~impr_item().